export const overridePropsDescriptions = {
  "aria-label":
    "Provides the accessible name that describes an interactive element if no other accessible name exists, for example in a button that contains an image with no text.",
};

export const htmlPropsDescriptions = {
  accept: "List of types the server accepts, typically a file type.",
  "accept-charset": "List of supported charsets.",
  accesskey: "Keyboard shortcut to activate or add focus to the element.",
  action:
    "The URI of a program that processes the information submitted via the form.",
  align: "Specifies the horizontal alignment of the element.",
  allow: "Specifies a feature-policy for the iframe.",
  alt: "Text description of the image, which is very important for accessibility and search engine optimization. Screen readers read this description to users so they know what the image means. Alt text is also displayed on the page if the image can't be loaded for some reason.",
  async: "Executes the script asynchronously.",
  autocapitalize:
    "Sets whether input is automatically capitalized when entered by user.",
  autocomplete:
    "Indicates whether controls in this form can by default have their valuesautomatically completed by the browser.",
  autofocus:
    "Indicates that an element should be focused on page load, or when its parent dialog is displayed.",
  autoplay: "The audio or video should play as soon as possible.",
  background:
    "Specifies the URL of an image file. Note: Although browsers and email clients may still support this attribute, it is obsolete. Use CSS background-image instead.",
  bgcolor:
    "Background color of the element. Note: This is a legacy attribute. Please use the CSS background-color property instead.",
  border:
    "The border width. Note: This is a legacy attribute. Please use the CSS border property instead.",
  buffered: "Contains the time range of already buffered media.",
  capture:
    "From the Media Capture specification,specifies a new file can be captured.",
  charset: "Declares the character encoding of the page or script.",
  checked: "Indicates whether the element should be checked on page load.",
  cite: "Contains a URI which points to the source of the quote or change.",
  class: "Often used with CSS to style elements with common properties.",
  color:
    "This attribute sets the text color using either a named color or a  color specified in the hexadecimal #RRGGBB format. Note: This is a legacy attribute. Please use the CSS color property instead.",
  cols: "Defines the number of columns in a textarea.",
  colspan:
    "The colspan attribute defines the number of columns a cell should span.",
  content:
    "A value associated with http-equiv orname depending on the context.",
  contenteditable: "Indicates whether the element's content is editable.",
  contextmenu:
    "Defines the ID of a menu element which willserve as the element's context menu.",
  controls:
    "Indicates whether the browser should show playback controls to the user.",
  coords: "A set of values specifying the coordinates of the hot-spot region.",
  crossorigin: "How the element handles cross-origin requests",
  csp: "Specifies the Content Security Policy that an embedded document mustagree to enforce upon itself.",
  data: "Specifies the URL of the resource.",
  datetime: "Indicates the date and time associated with the element.",
  decoding: "Indicates the preferred method to decode the image.",
  default:
    "Indicates that the track should be enabled unless the user's preferencesindicate something different.",
  defer:
    "Indicates that the script should be executed after the page has beenparsed.",
  dir: "Defines the text direction. Allowed values are ltr (Left-To-Right) or rtl (Right-To-Left)",
  disabled: "Indicates whether the user can interact with the element.",
  download:
    "Indicates that the hyperlink is to be used for downloading a resource.",
  draggable: "Defines whether the element can be dragged.",
  enctype: "Defines the content type of the form data when themethod is POST.",
  enterkeyhint:
    "The enterkeyhint specifies what action label (or icon) to present for the enter key onvirtual keyboards. The attribute can be used with form controls (such asthe value of textarea elements), or in elements in anediting host (e.g., using contenteditable attribute).",
  for: "Associates this Label with an Input. The value of the “For” attribute should match the ID attribute of the corresponding Input element",
  form: "Indicates the form that is the owner of the element.",
  formaction:
    "Indicates the action of the element, overriding the action defined inthe form.",
  formenctype:
    'If the button/input is a submit button (e.g. type="submit"), this attribute sets the encoding type to use during form submission. If this attribute is specified, it overrides theenctype attribute of the button\'s form owner.',
  formmethod:
    'If the button/input is a submit button (e.g. type="submit"), this attribute sets the submission method to use during form submission (GET, POST, etc.). If this attribute is specified, it overrides the method attribute of the button\'s form owner.',
  formnovalidate:
    'If the button/input is a submit button (e.g. type="submit"), this boolean attribute specifies that the form is not to be validatedwhen it is submitted. If this attribute is specified, it overrides thenovalidate attribute of the button\'s form owner.',
  formtarget:
    'If the button/input is a submit button (e.g. type="submit"), this attribute specifies the browsing context (for example, tab, window, or inline frame) in which to display the response that is received aftersubmitting the form. If this attribute is specified, it overrides thetarget attribute of the button\'s form owner.',
  headers: "IDs of the <th> elements which applies to this element.",
  height: "Defines the image’s height in pixels.",
  hidden:
    "Prevents rendering of given element, while keeping child elements, e.g. script elements, active.",
  high: "Indicates the lower bound of the upper range.",
  href: "The URL of a linked resource.",
  hreflang: "Specifies the language of the linked resource.",
  "http-equiv": "Defines a pragma directive.",
  id: "Often used with CSS to style a specific element. The value of this attribute must be unique.",
  integrity:
    "Specifies a  Subresource Integrity  value that allows browsers to verify what they fetch.",
  intrinsicsize:
    "This attribute tells the browser to ignore the actual intrinsic size ofthe image and pretend it's the size specified in the attribute.",
  inputmode:
    "Provides a hint as to the type of data that might be entered by the user while editing the element or its contents. The attribute can be used with form controls (such as the value oftextarea elements), or in elements in an editing host (e.g., using contenteditable attribute).",
  ismap: "Indicates that the image is part of a server-side image map.",
  kind: "Specifies the kind of text track.",
  label: "Specifies a user-readable title of the element.",
  lang: "Defines the language used in the element.",
  language: "Defines the script language used in the element.",
  loading:
    "Determines whether the image will load as soon as possible (Eager), or when it scrolls into view (Lazy). Lazy loading is a great option for pages with many images because it can significantly reduce the time it takes for the page to load initially.",
  "link:prefetch":
    "Controls when and if the link prefetches the resources that the next page needs to make loading faster. “Intent” will prefetch when the link is hovered or focused. “Render” will prefetch when the link is rendered. “Viewport” will prefetch when the link is in the viewport. “None” will not prefetch.",
  list: "Identifies a list of pre-defined options to suggest to the user.",
  loop: "Indicates whether the media should start playing from the start when it's finished.",
  low: "Indicates the upper bound of the lower range.",
  manifest:
    'Specifies the URL of the document\'s cache manifest. Note: This attribute is obsolete, use <link rel="manifest"> instead.',
  max: "Indicates the maximum value allowed.",
  maxlength: "Defines the maximum number of characters allowed in the element.",
  minlength: "Defines the minimum number of characters allowed in the element.",
  media:
    "Specifies a hint of the media for which the linked resource was designed.",
  method:
    "Defines which HTTP method to use when submitting the form. Can be GET (default) or POST.",
  min: "Indicates the minimum value allowed.",
  multiple:
    "Indicates whether multiple values can be entered in an input of the type email or file.",
  muted: "Indicates whether the audio will be initially silenced on page load.",
  name: "This name is important when submitting form data to the server, as it identifies the data associated with the input. When multiple inputs share the same name attribute, they are treated as part of the same group (e.g., radio buttons or checkboxes).",
  novalidate:
    "This attribute indicates that the form shouldn't be validated when submitted.",
  open: "Indicates whether the contents are currently visible (in the case of a <details> element) or whether the dialog is active and can be interacted with (in the case of a <dialog> element).",
  optimum: "Indicates the optimal numeric value.",
  pattern:
    "Defines a regular expression which the element's value will be validated against.",
  ping: "The ping attribute specifies a space-separated list of URLs to be notified if a user follows the hyperlink.",
  placeholder:
    "Provides a hint to the user of what can be entered in the field.",
  playsinline:
    'A Boolean attribute indicating that the video is to be played "inline"; that is, within the element\'s playback area. Note that the absence of this attribute does not imply that the video will always be played in fullscreen.',
  poster:
    "A URL indicating a poster frame to show until the user plays or seeks.",
  preload:
    "Indicates whether the whole resource, parts of it or nothing should be preloaded.",
  readonly: "Indicates whether the element can be edited.",
  referrerpolicy:
    "Specifies which referrer is sent when fetching the resource.",
  rel: "Specifies the relationship of the target object to the link object.",
  required:
    "Indicates whether this form element must be filled before the form can be submitted.",
  reversed:
    "Indicates whether the list should be displayed in a descending order instead of an ascending order.",
  role: "Defines an explicit role for an element for use by assistive technologies.",
  rows: "Defines the number of rows in a text area.",
  rowspan: "Defines the number of rows a table cell should span over.",
  sandbox:
    "Stops a document loaded in an iframe from using certain features (such as submitting forms or opening new windows).",
  scope:
    "Defines the cells that the header test (defined in theth element) relates to.",
  selected: "Defines a value which will be selected on page load.",
  size: "Defines the width of the element (in pixels). If the element'stype attribute is text or password then it's the number of characters.",
  slot: "Assigns a slot in a shadow DOM shadow tree to an element.",
  source:
    "Used to specify the source (URL) of the image file that should be displayed on the web page. You can paste a URL or choose an uploaded image from your Assets.",
  spellcheck: "Indicates whether spell checking is allowed for the element.",
  src: "The URL of the embeddable content.",
  srcset: "One or more responsive image candidates.",
  start: "Defines the first number if other than 1.",
  style: "Defines CSS styles which will override styles previously set.",
  tabindex:
    "Overrides the browser's default tab order and follows the one specified instead.",
  target:
    "Specifies where to open the linked document (in the case of an <a> element) or where to display the response received (in the case of a <form> element)",
  title: "Text to be displayed in a tooltip when hovering over the element.",
  translate:
    "Specify whether an element's attribute values and the values of its text node children are to be translated when the page is localized, or whether to leave them unchanged.",
  type: "Defines the type of the element.",
  "button:type":
    "Defines the behavior of the button, such as submitting a form or resetting form fields.",
  "input:type":
    "Specifies the type of data that this input will accept and helps the browser provide appropriate validation and formatting for that input type.",
  value:
    "Defines a default value which will be displayed in the element on pageload.",
  width: "Defines the image’s width in pixels.",
  wrap: "Indicates whether the text should be wrapped.",
};
